Bug 865598 - String "You're all set" is idiomatic and hard to translate
String "You're all set" is idiomatic and hard to translate
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-11 17:09 EDT by Paul W. Frields
Modified: 2012-12-20 00:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-18 01:52:15 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix problematic language in partitioning popup (663 bytes, patch)
2012-10-15 11:29 EDT, Paul W. Frields
no flags Details | Diff

  None (edit)
Description Paul W. Frields 2012-10-11 17:09:23 EDT
anaconda-18.15
pyanaconda/ui/gui/spokes/storage.py

I've made a patch which I hope captures what the string was trying to say. The language is friendly, which is good, but unfortunately may not translate well.

If this violates a string freeze for Fedora 18 Anaconda, I nominate this patch for the appropriate pre-f19 branch ('master' or wherever). :-)
Comment 1 Chris Lumens 2012-10-15 10:54:10 EDT
I think you may have forgotten the patch.

And yeah, this would need to be an F19 thing.
Comment 2 Paul W. Frields 2012-10-15 11:29:59 EDT
Created attachment 627517 [details]
Fix problematic language in partitioning popup

Oops, sorry -- patch attached now.
Comment 3 Chris Lumens 2012-12-07 10:09:13 EST
Hm, I don't really like "Your storage is ready!" either.  What if we just get rid of the last line from that label?  I don't think it contributes all that much.
Comment 4 Paul W. Frields 2012-12-10 11:19:29 EST
I'd be OK with dropping, but perhaps a "Please proceed." or something similar would still be useful.
Comment 5 Máirín Duffy 2012-12-12 14:35:17 EST
I definitely agree this line is a problem, and I also agree with the idea of dropping it. I think dropping it is the best plan for a couple of reasons:

- We won't have that line become an untranslated string for non-English installs for F18 final;

- The button labels make it clear you can continue as well (the mockup is here http://linuxgrrl.com/fedora-ux/Projects/Anaconda/Prototypes/Previews/free-space.png) ... the right-most button says 'Continue'
Comment 6 Fedora Update System 2012-12-14 22:35:27 EST
anaconda-18.37.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.37.3-1.fc18
Comment 7 Fedora Update System 2012-12-15 16:14:09 EST
Package anaconda-18.37.3-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-18.37.3-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-20461/anaconda-18.37.3-1.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-12-18 01:52:17 EST
anaconda-18.37.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2012-12-18 20:33:54 EST
anaconda-18.37.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/anaconda-18.37.4-1.fc18
Comment 10 Fedora Update System 2012-12-20 00:34:33 EST
anaconda-18.37.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.